# Update the desktop database:
if [ -x /usr/bin/update-desktop-database ]; then
    /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

# Update icon cache if one exists
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
    if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache -t -f -q usr/share/icons/hicolor >/dev/null 2>&1
    fi
fi

# Update schemas
if [ -e usr/share/glib-2.0/schemas ]; then
    if [ -x /usr/bin/glib-compile-schemas ]; then
        /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
    fi
fi

( cd usr/lib64 ; rm -rf libclapper-0.0.so )
( cd usr/lib64 ; ln -sf libclapper-0.0.so.0 libclapper-0.0.so )
( cd usr/lib64 ; rm -rf libclapper-0.0.so.0 )
( cd usr/lib64 ; ln -sf libclapper-0.0.so.0.10.0 libclapper-0.0.so.0 )
( cd usr/lib64 ; rm -rf libclapper-gtk-0.0.so )
( cd usr/lib64 ; ln -sf libclapper-gtk-0.0.so.0 libclapper-gtk-0.0.so )
( cd usr/lib64 ; rm -rf libclapper-gtk-0.0.so.0 )
( cd usr/lib64 ; ln -sf libclapper-gtk-0.0.so.0.10.0 libclapper-gtk-0.0.so.0 )
( cd usr/lib64 ; rm -rf libgstclapperglcontexthandler.so )
( cd usr/lib64 ; ln -sf libgstclapperglcontexthandler.so.0 libgstclapperglcontexthandler.so )
( cd usr/lib64 ; rm -rf libgstclapperglcontexthandler.so.0 )
( cd usr/lib64 ; ln -sf libgstclapperglcontexthandler.so.0.10.0 libgstclapperglcontexthandler.so.0 )
